.hex-grid {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.hex-grid .hex-row {
  height: 7.4em;
  display: flex;
  justify-content: center;
}
.hex-grid .hex-row .hex {
  width: 7.8em;
  height: 4.4em;
  position: relative;
  float: left;
  margin-right: 0.4em;
  margin-left: 0.4em;
  display: flex;
  justify-content: center;
}
.hex-grid .hex-row .hex .background {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 999;
  width: 7.8em;
  height: 7.8em;
  transform: translate(-50%, -50%);
  background-size: cover;
}
.hex-grid .hex-row .hex .background.background-wool {
  background-image: url("/images/wool.svg");
}
.hex-grid .hex-row .hex .background.background-brick {
  background-image: url("/images/brick.svg");
}
.hex-grid .hex-row .hex .background.background-ore {
  background-image: url("/images/ore.svg");
}
.hex-grid .hex-row .hex .background.background-grain {
  background-image: url("/images/grain.svg");
}
.hex-grid .hex-row .hex .background.background-wood {
  background-image: url("/images/wood.svg");
}
.hex-grid .hex-row .hex .background.background-question {
  background-image: url("/images/question.svg");
}
.hex-grid .hex-row .hex .port-direction-background {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 998;
  width: 130px;
  height: 130px;
  transform: translate(-50%, -50%);
  background-size: cover;
  background-image: url("/images/port.png");
}
.hex-grid .hex-row .hex .port-direction-background.direction-nw {
  transform-origin: center;
  -webkit-transform: translate(-50%, -50%) rotate(120deg);
  transform: translate(-50%, -50%) rotate(120deg);
}
.hex-grid .hex-row .hex .port-direction-background.direction-ne {
  transform-origin: center;
  -webkit-transform: translate(-50%, -50%) rotate(180deg);
  transform: translate(-50%, -50%) rotate(180deg);
}
.hex-grid .hex-row .hex .port-direction-background.direction-e {
  transform-origin: center;
  -webkit-transform: translate(-50%, -50%) rotate(240deg);
  transform: translate(-50%, -50%) rotate(240deg);
}
.hex-grid .hex-row .hex .port-direction-background.direction-se {
  transform-origin: center;
  -webkit-transform: translate(-50%, -50%) rotate(300deg);
  transform: translate(-50%, -50%) rotate(300deg);
}
.hex-grid .hex-row .hex .port-direction-background.direction-w {
  transform-origin: center;
  -webkit-transform: translate(-50%, -50%) rotate(60deg);
  transform: translate(-50%, -50%) rotate(60deg);
}
.hex-grid .hex-row .hex .port-background {
  position: absolute;
  top: 30%;
  left: 50%;
  z-index: 999;
  width: 40px;
  height: 40px;
  transform: translate(-50%, -50%);
}
.hex-grid .hex-row .hex .port {
  z-index: 999;
  color: #ffffff;
  position: absolute;
  top: 65%;
}
.hex-grid .hex-row .hex:before, .hex-grid .hex-row .hex:after {
  content: "";
  position: absolute;
  width: 100%;
  border-left: 3.9em solid transparent;
  border-right: 3.9em solid transparent;
  border-bottom-width: 2.3em;
  border-bottom-style: solid;
  border-bottom-color: transparent;
  border-top-width: 2.3em;
  border-top-style: solid;
  border-top-color: transparent;
}
.hex-grid .hex-row .hex:before {
  bottom: 4.4em;
}
.hex-grid .hex-row .hex:after {
  top: 4.4em;
}
.hex-grid .hex-row .hex.water {
  background: #75b2af;
}
.hex-grid .hex-row .hex.water:before {
  border-bottom-color: #75b2af;
}
.hex-grid .hex-row .hex.water:after {
  border-top-color: #75b2af;
}
.hex-grid .hex-row .hex.wool {
  background: #93ad72;
}
.hex-grid .hex-row .hex.wool:before {
  border-bottom-color: #93ad72;
}
.hex-grid .hex-row .hex.wool:after {
  border-top-color: #93ad72;
}
.hex-grid .hex-row .hex.ore {
  background: #5b7e7e;
}
.hex-grid .hex-row .hex.ore:before {
  border-bottom-color: #5b7e7e;
}
.hex-grid .hex-row .hex.ore:after {
  border-top-color: #5b7e7e;
}
.hex-grid .hex-row .hex.wood {
  background: #688e65;
}
.hex-grid .hex-row .hex.wood:before {
  border-bottom-color: #688e65;
}
.hex-grid .hex-row .hex.wood:after {
  border-top-color: #688e65;
}
.hex-grid .hex-row .hex.brick {
  background: #cc6b4b;
}
.hex-grid .hex-row .hex.brick:before {
  border-bottom-color: #cc6b4b;
}
.hex-grid .hex-row .hex.brick:after {
  border-top-color: #cc6b4b;
}
.hex-grid .hex-row .hex.grain {
  background: #efcb5f;
}
.hex-grid .hex-row .hex.grain:before {
  border-bottom-color: #efcb5f;
}
.hex-grid .hex-row .hex.grain:after {
  border-top-color: #efcb5f;
}
.hex-grid .hex-row .hex.desert {
  background: #dbd1a5;
}
.hex-grid .hex-row .hex.desert:before {
  border-bottom-color: #dbd1a5;
}
.hex-grid .hex-row .hex.desert:after {
  border-top-color: #dbd1a5;
}
.hex-grid .hex-row .hex .star {
  margin: 32em;
}
.hex-grid .hex-row .hex .pole {
  position: absolute;
  border-radius: 50%;
  background-color: sandybrown;
  color: black;
  width: 3em;
  height: 3em;
  line-height: 3em;
  text-align: center;
  z-index: 99999;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.25);
}
.hex-grid .hex-row .hex .pole:hover {
  cursor: pointer;
  opacity: 1;
}
.hex-grid .hex-row .hex .pole.north-pole {
  top: -4em;
  left: 2.4em;
}
.hex-grid .hex-row .hex .pole.south-pole {
  bottom: -3.6em;
  left: 2.4em;
}
.hex-grid .hex-row .hex .pole.visible {
  opacity: 1;
}
.hex-grid .hex-row .hex .pole.top3 {
  opacity: 1;
  background-color: #c65320;
  font-weight: bold;
  color: white;
}
.hex-grid .hex-row .hex .pole.village {
  opacity: 1;
  background-color: transparent;
  background-image: url("/images/Village.svg");
  box-shadow: none;
  width: 4.6em;
  height: 4.6em;
  line-height: 3.6em;
  padding-top: 10%;
  font-weight: normal;
  color: black;
  -webkit-filter: drop-shadow(5px 5px 5px rgba(0, 0, 0, 0.25));
  filter: drop-shadow(5px 5px 5px rgba(0, 0, 0, 0.25));
}
.hex-grid .hex-row .hex .pole.village.north-pole {
  top: -5.2em;
  left: 1.6em;
}
.hex-grid .hex-row .hex .pole.village.south-pole {
  bottom: -4em;
  left: 1.6em;
}
.hex-grid .hex-row .hex .fiche {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 4em;
  height: 4em;
  background-color: #ffea85;
  border-radius: 100%;
  border: 4px solid white;
  transform: translate(-50%, -50%);
  z-index: 999;
  opacity: 0;
  transition: opacity 0.1s ease-in;
}
.hex-grid .hex-row .hex .fiche.visible {
  opacity: 1;
}
.hex-grid .hex-row .hex .fiche .number {
  position: absolute;
  top: 0.6em;
  left: 0;
  width: 100%;
  text-align: center;
  font-size: 14px;
}
.hex-grid .hex-row .hex .fiche .stars {
  position: absolute;
  bottom: 0.4em;
  left: 0;
  font-size: 14px;
  width: 100%;
  text-align: center;
}

/*# sourceMappingURL=hexagons.css.map */
